<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Parsers/Python/Python/Parser.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Parsers.Python.Python.Parser</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">package <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Parsers.html" >Parsers</a>.<a href="../../Python.html" >Python</a>.<a href="../Python.html" >Python</a>
</div><div class="class-name">class Parser

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Parsers/Python/__init__.py.html" target="detail">../Synopsis/Parsers/Python/__init__.py</a></div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.Python.Parser" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/__init__.py.html#line68" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Parser-inheritance" src="Parser-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Parser-inheritance_map" />
<map name="Parser-inheritance_map"></map>
 <div class="doc">
    Python Parser. See http://www.python.org/dev/peps/pep-0258 for additional
    info.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="primary_file_only">primary_file_only</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/__init__.py.html#line73" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="base_path">base_path</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/__init__.py.html#line74" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="sxr_prefix">sxr_prefix</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/__init__.py.html#line75" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="default_docformat">default_docformat</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/__init__.py.html#line76" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>, <span class="variable">ir</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.Python.Parser.process" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/__init__.py.html#line78" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Parser.html#process_file" >process_file</a></span>(<span class="variable">self</span>, <span class="variable">filename</span>, <span class="variable">base_path</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.Python.Parser.process_file" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/__init__.py.html#line123" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Parse an individual python file.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process_file">process_file</a>(<span class="variable">self</span>, <span class="variable">filename</span>, <span class="variable">base_path</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.Python.Parser.process_file" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/__init__.py.html#line123" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Parse an individual python file.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:02 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
